LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::chart::DataLabelPlacement Constant Group Referencepublished

These values specify where the captions/labels of data points are displayed. More...

## Variables
const long | AVOID_OVERLAP = 0
const long | CENTER = 1
const long | TOP = 2
const long | TOP_LEFT = 3
const long | LEFT = 4
const long | BOTTOM_LEFT = 5
const long | BOTTOM = 6
const long | BOTTOM_RIGHT = 7
const long | RIGHT = 8
const long | TOP_RIGHT = 9
const long | INSIDE = 10
const long | OUTSIDE = 11
const long | NEAR_ORIGIN = 12
const long | CUSTOM = 13

## Detailed Description

These values specify where the captions/labels of data points are displayed.

## Variable Documentation

## ◆ AVOID_OVERLAP

const long AVOID_OVERLAP = 0

## ◆ BOTTOM

const long BOTTOM = 6

## ◆ BOTTOM_LEFT

const long BOTTOM_LEFT = 5

## ◆ BOTTOM_RIGHT

const long BOTTOM_RIGHT = 7

## ◆ CENTER

const long CENTER = 1

## ◆ CUSTOM

const long CUSTOM = 13

Since
  LibreOffice 7.0

## ◆ INSIDE

const long INSIDE = 10

## ◆ LEFT

const long LEFT = 4

## ◆ NEAR_ORIGIN

const long NEAR_ORIGIN = 12

## ◆ OUTSIDE

const long OUTSIDE = 11

## ◆ RIGHT

const long RIGHT = 8

## ◆ TOP

const long TOP = 2

## ◆ TOP_LEFT

const long TOP_LEFT = 3

## ◆ TOP_RIGHT

const long TOP_RIGHT = 9